> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SMDP state info of eSIM

> **RELEASED** - The esim is ready to be downloaded on the device.

**DOWNLOADED** - The esim has been downloaded on the mobile device.

**INSTALLED** - The esim is installed on the network modem of the mobile device. In most cases, this state happens immediately after the esim is DOWNLOADED.

**ENABLED** - The esim is switched-on from the mobile sim settings and can be used if the mobile network allows.

**DISABLED** - The esim is switched-off from the mobile sim settings and so it can't be used.

**DELETED** - The esim has been deleted from the mobile device.



## OpenAPI

````yaml /openapi.yaml get /v1/esims/{iccid}/smdp-info
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/esims/{iccid}/smdp-info:
    parameters:
      - schema:
          type: string
        name: iccid
        in: path
        required: true
        description: iccid of the esim
    get:
      tags:
        - Esim
      summary: Get SMDP state info of eSIM
      description: >-
        **RELEASED** - The esim is ready to be downloaded on the device.


        **DOWNLOADED** - The esim has been downloaded on the mobile device.


        **INSTALLED** - The esim is installed on the network modem of the mobile
        device. In most cases, this state happens immediately after the esim is
        DOWNLOADED.


        **ENABLED** - The esim is switched-on from the mobile sim settings and
        can be used if the mobile network allows.


        **DISABLED** - The esim is switched-off from the mobile sim settings and
        so it can't be used.


        **DELETED** - The esim has been deleted from the mobile device.
      operationId: get-v1-esims-xid-profile-states
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EsimSmdpInfo'
          headers: {}
        '404':
          description: >-
            The requested resource doesn't exist or the current esim label isn't
            supported for smdp info
components:
  schemas:
    EsimSmdpInfo:
      title: EsimSmdpInfo
      x-stoplight:
        id: 0purzo99z38t5
      type: object
      description: >-
        Kindly note that the eid & currentState are not required fields. In the
        cases, where this feature is supported but Bondio doesn't have the data
        then these fields won't be present.
      required:
        - stateHistory
      properties:
        eid:
          type:
            - string
            - 'null'
          x-stoplight:
            id: 61a00km6sy3cn
        currentState:
          x-stoplight:
            id: 22wta4yd70cyj
          enum:
            - RELEASED
            - DOWNLOADED
            - INSTALLED
            - ENABLED
            - DISABLED
            - DELETED
        stateHistory:
          type: array
          x-stoplight:
            id: ye7k9yjbhl8e8
          items:
            $ref: '#/components/schemas/ProfileState'
            x-stoplight:
              id: 3mcwm6e0cwg7p
    ProfileState:
      title: ProfileState
      x-stoplight:
        id: hygapp3wxikph
      type: object
      properties:
        state:
          x-stoplight:
            id: hufzxcr5bwba8
          enum:
            - RELEASED
            - DOWNLOADED
            - INSTALLED
            - ENABLED
            - DISABLED
            - DELETED
        modifiedAt:
          type: integer
          x-stoplight:
            id: cnqx4s0hxn2jv
        modificationResult:
          x-stoplight:
            id: j6hnvusufo0ze
          enum:
            - SUCCESS
            - FAILURE
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````